# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.1.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [0.3.0] - 2024-11-12

### Added

- Add `SlaveLogParser` module which contains parser of JATHub slave log
- Add slave log asdtp section parser
- Add slave log power section parser
- Add example Pluto notebook for power result analysis
- Add tutorial documentation
- Add tutorial for DispatchChecker and simple result browser

### Changed

- Exported notebooks are now deployed under notebooks url
- Moved examples in index.md of documentation to a dedicated page

### Fixed

- Converter version is filled during `create_database_from_exported_csvs`

## [0.2.0] - 2024-10-23

- Julia v1.11 was released and v1.10 is new LTS
- This package will support both of them

### Added

- Add `versions` table to store version information of converter(this software)
- Add `skew` column to `qaqc_positions` table
- Add `DownloadCSVs` module and functions which downloads the latest CSVs from Google sheets
- Add `ClockParser` module and `get_skew` function
- Add `lvds_tx_skew` column to `qaqc_single_run_result` table and related functions in `import_data.jl`
- Add example Pluto notebook which plots clock skew histogram
- Add `count_riseup` to count rise up in clock result
- Add example app using Pluto
- Add `DispatchChecker` module
- Add `is_dispatchable` which checks given PSBoard is ready to dispatch
- Add `interactive_dispatch_checker` which provide interactive session for QAQC

### Changed

- Set download functions in `DownloadCSVs` as default CSV locations in `create_database_from_exported_csvs`
- Replaced CSV files used in test to newly add `DownloadCSVs` functions
- `create_database_from_exported_csvs` now requires `slavelog_dir` to get skew from slave logs
- CI runs on v1.10 and v1.11

### Deleted

- CSV files manually exported from Google Sheets

## [0.1.0]

### Added

- Function to convert exported QAQC result CSV files and QAQC JATHub master logs to SQLite database.
- Docs on the database and example of querying the database.
- Docs on the internal (Julia implementation)

[unreleased]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.3.0...main
[0.3.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.2.0...v0.3.0
[0.2.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/-/compare/v0.1.0...v0.2.0
[0.1.0]: https://gitlab.cern.ch/wotsubo/PSBoardDataBase/~/tags/v0.1.0
